Aggregated analytics across every notification on your account.

GET https://bzengage.co/api/analytics/
curl --request GET \
--url 'https://bzengage.co/api/analytics/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
start_date Optional Y-m-d Start of the date range. Defaults to 30 days ago.
end_date Optional Y-m-d End of the date range. Defaults to today.
interval Optional When set, adds a per-bucket series to the response. One of hour , day , month , year.
{
    "data": {
        "scope": "account",
        "start_date": "2026-06-23",
        "end_date": "2026-07-23",
        "impressions": 278,
        "hovers": 24,
        "clicks": 4,
        "form_submissions": 2,
        "ctr": 1.44,
        "conversion_rate": 0.72,
        "interval": "day",
        "series": [
            { "date": "2026-06-23", "impression": 40, "hover": 3, "click": 1, "form_submission": 0 }
        ]
    }
}

The "series" array is only present when the "interval" parameter is supplied.

Aggregated analytics across all notifications in a single campaign.

GET https://bzengage.co/api/analytics/campaign/{campaign_id}
curl --request GET \
--url 'https://bzengage.co/api/analytics/campaign/1' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
start_date Optional Y-m-d Start of the date range. Defaults to 30 days ago.
end_date Optional Y-m-d End of the date range. Defaults to today.
interval Optional When set, adds a per-bucket series to the response. One of hour , day , month , year.
{
    "data": {
        "scope": "campaign",
        "start_date": "2026-06-23",
        "end_date": "2026-07-23",
        "impressions": 278,
        "hovers": 24,
        "clicks": 4,
        "form_submissions": 2,
        "ctr": 1.44,
        "conversion_rate": 0.72,
        "interval": "day",
        "series": [
            { "date": "2026-06-23", "impression": 40, "hover": 3, "click": 1, "form_submission": 0 }
        ]
    }
}

The "series" array is only present when the "interval" parameter is supplied.

Analytics for a single notification.

GET https://bzengage.co/api/analytics/notification/{notification_id}
curl --request GET \
--url 'https://bzengage.co/api/analytics/notification/1' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
start_date Optional Y-m-d Start of the date range. Defaults to 30 days ago.
end_date Optional Y-m-d End of the date range. Defaults to today.
interval Optional When set, adds a per-bucket series to the response. One of hour , day , month , year.
{
    "data": {
        "scope": "notification",
        "start_date": "2026-06-23",
        "end_date": "2026-07-23",
        "impressions": 278,
        "hovers": 24,
        "clicks": 4,
        "form_submissions": 2,
        "ctr": 1.44,
        "conversion_rate": 0.72,
        "interval": "day",
        "series": [
            { "date": "2026-06-23", "impression": 40, "hover": 3, "click": 1, "form_submission": 0 }
        ]
    }
}

The "series" array is only present when the "interval" parameter is supplied.

The collected conversion / form data for a single notification, most recent first, paginated.

GET https://bzengage.co/api/analytics/notification/{notification_id}/data
curl --request GET \
--url 'https://bzengage.co/api/analytics/notification/1/data' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "notification_id": 1,
            "type": "collector",
            "data": { "email": "visitor@example.com" },
            "location": "US",
            "path": "/pricing",
            "url": "https://bzengage.co/pricing",
            "page_title": "Pricing",
            "datetime": "2026-08-31 08:25:59"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://bzengage.co/api/analytics/notification/1/data?page=1",
        "last": "https://bzengage.co/api/analytics/notification/1/data?page=1",
        "next": null,
        "prev": null,
        "self": "https://bzengage.co/api/analytics/notification/1/data?page=1"
    }
}